Create a Field for a Life Stage Section for a Firm Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
POST /api/v1/expenditure-structure/field

Path parameters

  • firm_uuid string Required

    The uuid of the Firm.

  • lifeStageSection_uuid string Required

    The uuid of the Life Stage Section.

application/json

Body

  • name string Required

    The name of the Life Stage Field.

  • life_stage_section_uuid string(uuid) Required

    The uuid of the parent Life Stage Section.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      uuid of the Life Stage Field.

    • name string

      The name of the Life Stage Field.

    • section string

      The parent Life Stage Section of Field. Example: "Housekeeping Expenses"

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

POST /api/v1/expenditure-structure/field
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/expenditure-structure/field' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"name":"Electricity","life_stage_section_uuid":"3bcd0d56-1b00-41a5-8b77-8ac8a4c205a6"}'
Request examples
{
  "name": "Electricity",
  "life_stage_section_uuid": "3bcd0d56-1b00-41a5-8b77-8ac8a4c205a6"
}
Response examples (200)
{
  "uuid": "2267bf83-1cd6-4d55-8a9c-b7e823da8e2d",
  "name": "Electricity",
  "section": "Housekeeping Expenses",
  "created_at": "2026-06-09T14:10:12+01:00",
  "updated_at": "2026-06-09T14:10:12+01:00"
}